[Cubicweb] Cubicweb 3.10 update on lenny broken

Sylvain Thénault sylvain.thenault at logilab.fr
Thu Oct 14 09:02:50 CEST 2010


On 14 octobre 07:20, Jean-Philippe Thierry wrote:
> Hi,

Hi,
 
> it seems the cubicweb-server package configuration is broken and blocks
> configuration of cubicweb-dev and cubicweb packages. Here is the output of
> aptitude:
> 
> Paramétrage de cubicweb-server (3.10.0-1) ...
> /usr/share/cubicweb/migration/3.10.0_Any.py:12: Warning: 'with' will become
> a reserved keyword in Python 2.6
> Compiling /usr/share/cubicweb/migration/3.10.0_Any.py ...
>   File "/usr/share/cubicweb/migration/3.10.0_Any.py", line 12
>     with hooks_control(session, session.HOOKS_ALLOW_ALL, 'cw.sources'):
>                      ^
> SyntaxError: invalid syntax
> 
> any clue?

the pb is a missing future import at the top of the file, eg:

[syt at scorpius cubicweb]$ hg diff
diff --git a/misc/migration/3.10.0_Any.py b/misc/migration/3.10.0_Any.py
--- a/misc/migration/3.10.0_Any.py
+++ b/misc/migration/3.10.0_Any.py
@@ -1,3 +1,5 @@
+from __future__ import with_statement
+
 from cubicweb.server.session import hooks_control
 

-- 
Sylvain Thénault                               LOGILAB, Paris (France)
Formations Python, Debian, Méth. Agiles: http://www.logilab.fr/formations
Développement logiciel sur mesure:       http://www.logilab.fr/services
CubicWeb, the semantic web framework:    http://www.cubicweb.org




More information about the Cubicweb mailing list